XFcAppPrefs class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcAppPrefs Class Reference

Used to pass application preferences to the core in xfcAppPrefs() call. More...

List of all members.

## Public Attributes

INT32 | mTotalMemoryLimit
| Total memory (in bytes). [Required].
INT32 | mResourceMemoryLimit
| Max. memory resources may take (in bytes). [Required].
INT32 | mPreferredWidth
| Preferred screen width. Only affects the desktop windows.
INT32 | mPreferredHeight
| Preferred screen height. Only affects the desktop windows.
const CHAR * | mTitleString
| Pointer to a string to be shown as title bar, if applicable.
INT32 | mUID
| Application unique identifier. [Required for Symbian applications.].
INT32 | mMinimumExtraMemory
| Minimum amount of extra free memory in bytes in the system after memory pool allocation.
const CHAR * | mOutOfMemoryErrorString
| Pointer to a string shown if memory pool allocation failed.

## Detailed Description

Used to pass application preferences to the core in xfcAppPrefs() call.

Please note that the xfcAppPrefs() call may be invoked more than once in the application startup.

## Member Data Documentation

INT32 XFcAppPrefs::mMinimumExtraMemory

| Minimum amount of extra free memory in bytes in the system after memory pool allocation. If the operating system (or other applications) can't get enough memory under some Symbian platforms (at least), random applications will start crashing. If the core cannot detect at least this much extra memory after the pool has been allocated, the application will exit with an 'out of memory' error, just like if there was not enough memory for the memory pool. (128KB recommended under Symbian)

const CHAR* XFcAppPrefs::mOutOfMemoryErrorString

| Pointer to a string shown if memory pool allocation failed. If this parameter is NULL, the default error message will be rather technical, and might not be useful for most end-users.

INT32 XFcAppPrefs::mPreferredHeight

| Preferred screen height. Only affects the desktop windows.

INT32 XFcAppPrefs::mPreferredWidth

| Preferred screen width. Only affects the desktop windows.

INT32 XFcAppPrefs::mResourceMemoryLimit

| Max. memory resources may take (in bytes). [Required].

const CHAR* XFcAppPrefs::mTitleString

| Pointer to a string to be shown as title bar, if applicable.

INT32 XFcAppPrefs::mTotalMemoryLimit

| Total memory (in bytes). [Required].

INT32 XFcAppPrefs::mUID

| Application unique identifier. [Required for Symbian applications.].

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch